Subject: Re: [lisp] [ipdir] LISP WG: Loc/ID separation - not separate namespaces

From: [email-masked]
Date: Fri, 20 Mar 2009 13:55:46 EDT

In einer eMail vom 20.03.2009 15:42:13 Westeuropäische Normalzeit schreibt  
[email-masked]:

Hi.
I'd like to focus discussion on the specific goals you propose  for your 
charter changes.

>  A description of LISP as being  part of the "core-edge separation"
>  class of scalable routing  solutions, noting that "map-and-encap"
>  was a term used earlier  on for this class.

So far, you are the only one who has advanced this  particular
terminology distinction as important.  I'd appreciate  hearing comments
from others.
Terminology:
I share Magret's concerns. What kind of routing is LISP? What it does is a  2 
loose hops routing.
Locator /identifier split or separation is a completely different story:  see 
HIP.
Robin's proposal is core-edge separation. The next suggestion might be  
core-edge split :-( 
But this is all camouflage terminology, hiding that RLOC routing is  anything 
else but location based routing.
 
This is why I believe that LISP will fail:
The ALT may either become large like almost the whole body (internet) or  
small like the spine of a body.
In the first  case the scalability issues are only reshuffled but not  
eliminated, in the second case the internet becomes vulnerable. Who controls the  
ALT, controls the internet. DoS attacks is one thing.
Another thing is that the power of control is a threat by itself. The  
European Union is driving the Galileo project although (as far as I know) no one  
has been kept off from using the GPS so far. Long-term reasoning!
The same will apply to the ALT.
 
 Heiner

>  An understanding that EID space is purely for  end-user networks, to
>  provide multihoming etc. in a scalable  fashion.

Your changes in this area may be part of addressing the  concern that 
Margaret, Lixia, and I believe Bryan raised.
I think from your  most recent messages you may share that concern.

>  An  introduction to ITRs and ETRs and description of what they do.

Again,  comments welcome from others.

>  A clearer understanding of  Locator Identifier Separation in terms
>  of it:

>   Not involving separate namespaces - contrary to  incorrect
>     statements about LISP in an IETF Journal  article etc. and
>     in contrast to the HIP approach to  Locator Identifier Separation
>     which does involve  separate namespaces.

You've presented one definition of  namespace.  I strongly suspect that
there are a lot of other  definitions floating around and that the term
was being used loosely.   I have not seen a lot of support for your
strict definition of  namespaces.  However, I think that addressing
Bryan, Lixia and  Margaret's concern needs to be addressed by making
this distinction  clear.  I think that avoiding the term namespace or
defining what we  mean by namespace will be more productive than an
argument over its  definition and whether we have found the clearly
correct definition for our  field.  At least as I understand it, your
proposed charter text change  in this area seems to do this.

>     Being an  operational distinction in how addresses in different
>   sub-sections of the address range (perhaps we should  mention
>     global unicast address range).

I  think something along these lines is starting to sound like it is  needed.

>>     This distinction only being  applicable to ITRs and ETRs - not to
>     hosts or  ordinary routers.

As I understand it, the only XTRs need to care  about EID vs RLOC
distinctions is one of the core design goals of  LISP.  It seems like
including it in the charter may add clarity and  constrain our work.
_______________________________________________
lisp  mailing  list
[email-masked]
https://www.ietf.org/mailman/listinfo/lisp